Bug 816151 (CVE-2012-2137)

Summary: CVE-2012-2137 kernel: kvm: buffer overflow in kvm_set_irq()
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: anton, areis, arozansk, dhoward, fhrbata, jlieskov, juzhang, kernel-mgr, knoel, lwang, rhod, security-response-team, sforsber, syeghiay, tburke
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20120605,reported=20120418,source=upstream,cvss2=6.9/AV:L/AC:M/Au:N/C:C/I:C/A:C,rhel-5/kernel=notaffected,rhel-6/kernel=affected,mrg-2/realtime-kernel=notaffected,fedora-all/kernel=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-24 12:17:30 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 816154, 816155    
Bug Blocks: 816157    

Description Petr Matousek 2012-04-25 11:07:14 UTC
kvm_set_irq() has an internal buffer of three irq routing entries, allowing connecting a GSI to three IRQ chips or on MSI.  However setup_routing_entry() does not properly enforce this, allowing three irqchip routes followed by an MSI route to overflow the buffer.

An unprivileged local user could use this flaw to crash the system or potentialy escalate their privileges.

Comment 7 Petr Matousek 2012-06-05 18:04:05 UTC
Statement:

This issue did not affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 5 and Red Hat Enterprise MRG. This issue was addressed in Red Hat Enterprise Linux 6 via RHSA-2012:0743 https://rhn.redhat.com/errata/RHSA-2012-0743.html

Comment 8 errata-xmlrpc 2012-06-18 13:34:32 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0743 https://rhn.redhat.com/errata/RHSA-2012-0743.html